package com.zanxiang.game.back.serve.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.back.serve.pojo.dto.GameBackPolicyDTO;
import com.zanxiang.game.back.serve.pojo.dto.GameBackPolicyListDTO;
import com.zanxiang.game.back.serve.pojo.vo.GameBackPolicyVO;
import com.zanxiang.game.back.serve.service.IGameBackPolicyService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/game/back")
@Api("腾讯回传")
public class TencnetBackController {
    @Autowired
    private IGameBackPolicyService gameBackPolicyService;

    @PostMapping("/policy/create")
    @ApiOperation(value = "创建回传策略")
    public ResultVO<Boolean> createPolicy(@RequestBody GameBackPolicyDTO dto) {
        return ResultVO.ok(gameBackPolicyService.createPolicy(dto));
    }

    @PostMapping("/policy/update")
    @ApiOperation(value = "修改回传策略")
    public ResultVO<Boolean> updatePolicy(@RequestBody GameBackPolicyDTO dto) {
        return ResultVO.ok(gameBackPolicyService.updatePolicy(dto));
    }

    @PostMapping("/policy/delete/{ids}")
    @ApiOperation(value = "删除回传策略")
    public ResultVO<Boolean> deletePolicy(@PathVariable("ids") List<Long> ids) {
        return ResultVO.ok(gameBackPolicyService.deletePolicy(ids));
    }

    @PostMapping("/policy/list")
    @ApiOperation(value = "回传策略列表")
    public ResultVO<IPage<GameBackPolicyVO>> policyList(@RequestBody GameBackPolicyListDTO dto) {
        return ResultVO.ok(gameBackPolicyService.policyList(dto));
    }
}
