package com.zanxiang.game.back.serve.utils;

import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;

import java.math.BigDecimal;
import java.util.Random;

public class BackPolicyUtil {

    public static boolean isBackOrder(GameBackPolicy gameBackPolicy, Long rechargeMoney) {
        if (null == gameBackPolicy) {
            return true;
        } else {
            if (rechargeMoney <= gameBackPolicy.getFirstRechargeMoney() && shouldDoTask(gameBackPolicy.getFirstRechargeBackPercentage())) {
                return true;
            } else if (rechargeMoney >= gameBackPolicy.getFirstRechargeMoney() && shouldDoTask(gameBackPolicy.getBigRechargeBackPercentage())) {
                return true;
            } else {
                return shouldDoTask(gameBackPolicy.getOtherRechargeBackPercentage());
            }
        }
    }

    private static boolean shouldDoTask(BigDecimal successProbability) {
        Random random = new Random();
        // 生成一个0到1之间的随机数
        double randomValue = random.nextDouble();
        // 如果随机数小于成功概率，则返回true，否则返回false
        return successProbability.compareTo(BigDecimal.valueOf(randomValue)) > 0;
    }
}
