package com.zanxiang.game.module.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-11-21
 * @description : 推广账号类型
 */
@Getter
@AllArgsConstructor
public enum PromoAccountTypeEnum {

    /**
     * 微信公众号
     */
    ACCOUNT_WX_MP(1, "微信公众号"),

    /**
     * 今日头条账号
     */
    ACCOUNT_BYTE(2, "今日头条账号"),

    /**
     * ADQ(QQ)账号
     */
    ACCOUNT_ADQ_QQ(3, "ADQ(QQ)账号");

    /**
     * 账号类型
     */
    private Integer type;

    /**
     * 账号类型名称
     */
    private String name;

    /**
     * 被类型名称
     *
     * @param type 类型
     * @return {@link String}
     */
    public static String getNameByType(Integer type) {
        PromoAccountTypeEnum[] values = PromoAccountTypeEnum.values();
        for (PromoAccountTypeEnum promoAccountTypeEnum : values) {
            if (Objects.equals(promoAccountTypeEnum.getType(), type)) {
                return promoAccountTypeEnum.getName();
            }
        }
        return null;
    }
}
