package com.zanxiang.game.module.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-11-17
 * @description : 推广媒体类型
 */
@Getter
@AllArgsConstructor
public enum PromoMediaTypeEnum {

    /**
     * 社交类
     */
    MEDIA_SOCIAL_CONTACT(1, "社交类"),

    /**
     * 短视频
     */
    MEDIA_SHORT_VIDEO(2, "短视频"),

    /**
     * 资讯
     */
    MEDIA_NEWS_INFO(3, "资讯"),

    /**
     * 视频
     */
    MEDIA_VIDEO(4, "视频");

    /**
     * 媒体类型
     */
    private Integer type;

    /**
     * 媒体名称
     */
    private String name;

    /**
     * 被类型名称
     *
     * @param type 类型
     * @return {@link String}
     */
    public static String getNameByType(Integer type) {
        PromoMediaTypeEnum[] values = PromoMediaTypeEnum.values();
        for (PromoMediaTypeEnum promoMediaTypeEnum : values) {
            if (Objects.equals(promoMediaTypeEnum.getType(), type)) {
                return promoMediaTypeEnum.getName();
            }
        }
        return null;
    }
}
