package com.zanxiang.game.module.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-11-17
 * @description : 推广媒体新增或者更新
 */
@Data
public class PromoMediaAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 推广媒体
     */
    @NotBlank(message = "推广媒体不可为空")
    @ApiModelProperty(notes = "推广媒体")
    private String name;

    /**
     * 公司
     */
    @ApiModelProperty(notes = "公司")
    private String company;

    /**
     * 推广媒体类型
     */
    @NotEmpty(message = "推广媒体类型不可为空")
    @ApiModelProperty(notes = "推广媒体类型, 不可为空, 至少传一个类型")
    private List<Long> types;

    /**
     * 地址
     */
    @ApiModelProperty(notes = "地址")
    private String address;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

}
