package com.zanxiang.game.module.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-11-18
 * @description : 版位更新新增参数
 */
@Data
public class PromoSiteAddOrUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    @NotNull(message = "推广媒体id不可为空")
    private Long mediaId;

    /**
     * 媒体版位
     */
    @ApiModelProperty(notes = "媒体版位")
    private String plateSite;

    /**
     * 媒体位置
     */
    @ApiModelProperty(notes = "媒体位置")
    private String mediaSite;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;
}
