package com.zanxiang.game.module.manage.domain.params;

import com.zanxiang.game.module.base.base.BasePage;
import com.zanxiang.game.module.mybatis.entity.PromoSite;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-11-18
 * @description : 推广媒体版位列表参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PromoSiteListParam extends BasePage<PromoSite> {

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 媒体版位
     */
    @ApiModelProperty(notes = "媒体版位")
    private String plateSite;

    /**
     * 媒体位置
     */
    @ApiModelProperty(notes = "媒体位置")
    private String mediaSite;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    @ApiModelProperty(notes = "状态, 0 : 可用, 1: 禁用")
    private Integer status;
}
