package com.zanxiang.game.module.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-23
 * @description : 推广渠道
 */
@Data
public class PromoChannelListVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 推广账号主键id
     */
    @ApiModelProperty(notes = "推广账号主键id")
    private Long accountId;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    private String pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(notes = "投手名称")
    private String pitcherName;

    /**
     * 投手项目组
     */
    @ApiModelProperty(notes = "投手项目组")
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    @ApiModelProperty(notes = "投手项目组名称")
    private String pitcherGroupName;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广媒体
     */
    @ApiModelProperty(notes = "推广媒体")
    private String mediaName;

    /**
     * 推广版位位置id
     */
    @ApiModelProperty(notes = "推广版位位置id")
    private Long promoSiteId;

    /**
     * 媒体位置
     */
    @ApiModelProperty(notes = "媒体位置")
    private String mediaSite;

    /**
     * 媒体版位
     */
    @ApiModelProperty(notes = "媒体版位")
    private String plateSite;

    /**
     * 推广服务商id
     */
    @ApiModelProperty(notes = "推广服务商id")
    private Integer providerId;

    /**
     * 推广服务商
     */
    @ApiModelProperty(notes = "推广服务商")
    private String providerName;

    /**
     * 推广账号
     */
    @ApiModelProperty(notes = "推广账号")
    private String accountName;

    /**
     * 推广账号类型
     */
    @ApiModelProperty(notes = "推广账号类型")
    private Integer accountType;

    /**
     * 推广账号类型名称
     */
    @ApiModelProperty(notes = "推广账号类型名称")
    private String accountTypeName;

    /**
     * 推广游戏id
     */
    @ApiModelProperty(notes = "推广游戏id")
    private Long gameId;

    /**
     * 推广游戏名称
     */
    @ApiModelProperty(notes = "推广游戏名称")
    private String gameName;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(notes = "游戏应用类型")
    private Long gameCategory;

    /**
     * 游戏应用类型名称
     */
    @ApiModelProperty(notes = "游戏应用类型名称")
    private String gameCategoryName;

    /**
     * 推广码
     */
    @ApiModelProperty(notes = "推广码")
    private String code;

    /**
     * 推广路径
     */
    @ApiModelProperty(notes = "推广路径")
    private String path;

    /**
     * 推广渠道标识
     */
    @ApiModelProperty(notes = "推广渠道标识")
    private String channel;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    @ApiModelProperty(notes = "状态, 0 : 可用, 1: 禁用")
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;
}
