package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.domain.dto.GameAppletDTO;
import com.zanxiang.game.module.manage.domain.params.GameAccountUpdateParam;
import com.zanxiang.game.module.manage.domain.vo.GameAccountVO;
import com.zanxiang.game.module.mybatis.entity.GameApplet;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 微信小游戏(小程序)
 */
public interface IGameAppletService extends IService<GameApplet> {

    /**
     * 通过游戏id
     *
     * @param gameId 游戏id
     * @return {@link GameAppletDTO}
     */
    GameAppletDTO getByGameId(Long gameId);

    /**
     * 获取账号信息配置
     *
     * @param id : 游戏id
     * @return {@link GameAccountVO}
     */
    GameAccountVO getGameAccount(Long id);

    /**
     * 获取账号信息配置
     *
     * @param param : 更新参数
     * @return {@link Boolean}
     */
    Boolean gameAccountAddOrUpdate(GameAccountUpdateParam param);

    /**
     * 获取游戏小程序二维码
     *
     * @param gameId : 游戏id
     * @return {@link String}
     */
    String getQrCod(Long gameId);
}
