package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.domain.dto.GameCategoryDTO;
import com.zanxiang.game.module.manage.domain.vo.GameCategoryChoiceVO;
import com.zanxiang.game.module.mybatis.entity.GameCategory;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏分类标签管理
 */
public interface IGameCategoryService extends IService<GameCategory> {

    /**
     * 根据主键id查询
     *
     * @param id : 主键id
     * @return {@link GameCategoryDTO}
     */
    GameCategoryDTO getById(Long id);

    /**
     * 查询所有应用类型列表
     *
     * @return {@link List}<{@link GameCategoryChoiceVO}>
     */
    List<GameCategoryChoiceVO> gameCategoryChoiceList();

    /**
     * 查询游戏分类和标签
     *
     * @return {@link Map}<{@link Long}, {@link GameCategoryDTO}>
     */
    Map<Long, GameCategoryDTO> gameCategoryMap();
}
