package com.zanxiang.game.module.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.base.utils.bean.BeanUtils;
import com.zanxiang.game.module.manage.domain.params.LogPayCpParam;
import com.zanxiang.game.module.manage.domain.vo.LogPayCpVO;
import com.zanxiang.game.module.manage.service.ILogPayCpService;
import com.zanxiang.game.module.mybatis.entity.LogPayCp;
import com.zanxiang.game.module.mybatis.mapper.LogPayCpMapper;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 通知CP记录表
 */
@Service
public class LogPayCpServiceImpl extends ServiceImpl<LogPayCpMapper, LogPayCp> implements ILogPayCpService {

    @Override
    public IPage<LogPayCpVO> callCpList(LogPayCpParam param) {
        return page(param.toPage(), new LambdaQueryWrapper<LogPayCp>()
                .eq(LogPayCp::getOrderId, param.getOrderId())).convert(this::toVo);
    }

    private LogPayCpVO toVo(LogPayCp logPayCp) {
        if (Objects.isNull(logPayCp)) {
            return null;
        }
        return BeanUtils.copy(logPayCp, LogPayCpVO.class);
    }

}
