package com.zanxiang.game.module.sdk.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.mybatis.entity.UserShare;
import com.zanxiang.game.module.mybatis.mapper.UserShareMapper;
import com.zanxiang.game.module.sdk.domain.dto.GamePictureDTO;
import com.zanxiang.game.module.sdk.domain.params.UserData;
import com.zanxiang.game.module.sdk.domain.vo.GameShareVO;
import com.zanxiang.game.module.sdk.service.IGamePictureService;
import com.zanxiang.game.module.sdk.service.IUserShareService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2023-01-16
 * @description : 用户分享
 */
@Slf4j
@Service
public class UserShareServiceImpl extends ServiceImpl<UserShareMapper, UserShare> implements IUserShareService {

    @Autowired
    private IGamePictureService gamePictureService;

    @Override
    public GameShareVO getGameShare(UserData userData) {
        GamePictureDTO gamePictureDTO = gamePictureService.getByGameId(userData.getGameId());
        String path = gamePictureDTO.getSharePath();
        if (userData.getUserId() != null) {
            path = path + "?shareUserId=" + userData.getUserId();
        }
        return GameShareVO.builder()
                .title(gamePictureDTO.getShareTitle())
                .shareImg(gamePictureDTO.getShareImg())
                .path(path)
                .build();
    }
}
